package com.huijy.management.domain;

import com.huijy.common.annotation.Excel;
import com.huijy.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 求助记录对象 t_member_help
 *
 * @author luobo
 * @date 2021-09-12
 */
public class MemberHelp extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 求助记录Id */
    private Long memberHelpId;

    /** 会员id */
    private Long memberId;

    private String memberName;

    private String nickName;

    private String memberPhone;

    /** 求助电话 */
    private String phone;

    /** 坐标lat */
    private String lat;

    /** 坐标lng */
    private String lng;

    public void setMemberHelpId(Long memberHelpId)
    {
        this.memberHelpId = memberHelpId;
    }

    public Long getMemberHelpId()
    {
        return memberHelpId;
    }
    public void setMemberId(Long memberId)
    {
        this.memberId = memberId;
    }

    public Long getMemberId()
    {
        return memberId;
    }
    public void setPhone(String phone)
    {
        this.phone = phone;
    }

    public String getPhone()
    {
        return phone;
    }
    public void setLat(String lat)
    {
        this.lat = lat;
    }

    public String getLat()
    {
        return lat;
    }
    public void setLng(String lng)
    {
        this.lng = lng;
    }

    public String getLng()
    {
        return lng;
    }

    public String getMemberName() {
        return memberName;
    }

    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getMemberPhone() {
        return memberPhone;
    }

    public void setMemberPhone(String memberPhone) {
        this.memberPhone = memberPhone;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("memberHelpId", getMemberHelpId())
            .append("memberId", getMemberId())
            .append("phone", getPhone())
            .append("createTime", getCreateTime())
            .append("lat", getLat())
            .append("lng", getLng())
            .append("memberName", getMemberName())
            .append("nickName", getNickName())
            .append("memberPhone", getMemberPhone())
            .toString();
    }
}
